Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.elgamal
Class BaseElGamalParams

    java.lang.Object
      |
      +--cryptix.provider.elgamal.BaseElGamalParams

public class BaseElGamalParams
extends java.lang.Object
implements ElGamalParams

Class representing an ElGamal-specific set of key parameters, which defines an ElGamal key family.

The same key parameters apply to both the signature and encryption algorithms.

References:

1. Bruce Schneier, "Section 19.6 ElGamal," Applied Cryptography, 2nd Edition, John Wiley & Sons, 1996.

2. IEEE P1363 draft standard, http://stdsbbs.ieee.org/groups/1363/index.html

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.2 $

Since:
  Cryptix 2.2.2
Author:
  David Hopwood
See Also:
  `ElGamalKey`, `Key`, `java.security.Cipher`, `Signature`

Field Summary
`protected java.math.BigInteger` | `g`
`protected java.math.BigInteger` | `p`

Constructor Summary
`BaseElGamalParams(java.math.BigInteger p, java.math.BigInteger g)` Construct an ElGamalParams object with the specified prime p, and base g.

Method Summary
`java.math.BigInteger` | `getG()` Returns the base, g.
`java.math.BigInteger` | `getP()` Returns the prime, p.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### p

    protected java.math.BigInteger p

### g

    protected java.math.BigInteger g

Constructor Detail

### BaseElGamalParams

    public BaseElGamalParams(java.math.BigInteger p,
                             java.math.BigInteger g)

  Construct an ElGamalParams object with the specified prime p, and base g.

Method Detail

### getP

    public java.math.BigInteger getP()

  Returns the prime, p.
  Specified by:
    getP in interface ElGamalParams
  Returns:
    the prime as a java.math.BigInteger

### getG

    public java.math.BigInteger getG()

  Returns the base, g.
  Specified by:
    getG in interface ElGamalParams
  Returns:
    the base as a java.math.BigInteger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.